/*
 * Blink_LDE_DFU.h
 *
 *  Created on: 2025/01/09
 *      Author: egaono-electronics
 */

#ifndef Blink_LED_DFU_H_
#define Blink_LED_DFU_H_

#include "Dev_Conf.h"

#include def_Header_HAL



//--------------------------------------------------
// ST LED と USERスイッチ のGPIOを初期化
//--------------------------------------------------
// 引数:
//    なし


// 戻り値:
//    なし
//--------------------------------------------------
void Initialize_LED_USW(void);



//--------------------------------------------------
// mSec待ち
//--------------------------------------------------
// 引数
// uint32_t uint32_mSec : 待ち時間(mSec)


// 戻り値:
//    なし
//--------------------------------------------------
void Wait_mSec(uint32_t uint32_mSec);



//--------------------------------------------------
// LED点灯
//--------------------------------------------------
// 引数:
//    なし


// 戻り値:
//    なし
//--------------------------------------------------
void LED_ON(void);



//--------------------------------------------------
// LED消灯
//--------------------------------------------------
// 引数:
//    なし


// 戻り値:
//    なし
//--------------------------------------------------
void LED_OFF(void);



//--------------------------------------------------
// LED点滅
//--------------------------------------------------
// 引数:
//    なし


// 戻り値:
//    なし
//--------------------------------------------------
void Blink_LED(void);



#endif /* Blink_LED_DFU_H_ */
